Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop
Class HadoopGroupByClosure

    java.lang.Object
      cascading.pipe.joiner.JoinerClosure
          cascading.flow.hadoop.HadoopGroupByClosure

Direct Known Subclasses:
  HadoopCoGroupClosure

    public class HadoopGroupByClosure

extends JoinerClosure

Class GroupClosure is used internally to represent groups of tuples during grouping.

Field Summary
`protected Tuple` | `grouping`
`protected Iterator` | `values`

Fields inherited from class cascading.pipe.joiner.JoinerClosure
`flowProcess, joinFields, valueFields`

Constructor Summary
`HadoopGroupByClosure(FlowProcess flowProcess, Fields[] groupingFields, Fields[] valueFields)`

Method Summary
`Tuple` | `getGrouping()`
`Tuple` | `getGroupTuple(Tuple keysTuple)`
`Iterator` | `getIterator(int pos)`
`boolean` | `isEmpty(int pos)`
`protected Iterator<Tuple>` | `makeIterator(int pos, Iterator values)`
`void` | `reset(Tuple grouping, Iterator values)`
`int` | `size()`

Methods inherited from class cascading.pipe.joiner.JoinerClosure
`getFlowProcess, getJoinFields, getValueFields, isSelfJoin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### grouping

    protected Tuple grouping

### values

    protected Iterator values

Constructor Detail

### HadoopGroupByClosure

    public HadoopGroupByClosure(FlowProcess flowProcess,
                                Fields[] groupingFields,
                                Fields[] valueFields)

Method Detail

### getGrouping

    public Tuple getGrouping()

### size

    public int size()

  Specified by:
    `size` in class `JoinerClosure`

### getIterator

    public Iterator getIterator(int pos)

  Specified by:
    `getIterator` in class `JoinerClosure`

### isEmpty

    public boolean isEmpty(int pos)

  Specified by:
    `isEmpty` in class `JoinerClosure`

### makeIterator

    protected Iterator<Tuple> makeIterator(int pos,
                                           Iterator values)

### reset

    public void reset(Tuple grouping,
                      Iterator values)

### getGroupTuple

    public Tuple getGroupTuple(Tuple keysTuple)

  Specified by:
    `getGroupTuple` in class `JoinerClosure`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.